Visit Note

A visit note documents the interaction that a provider had with a patient and contains a summary of the most important information discussed.

The visit note model

Properties

  • Name
    id
    Type
    string
    Description

    Unique identifier for the note.

  • Name
    object
    Type
    string
    Description

    Always 'note'.

  • Name
    type
    Type
    string
    Description

    Type of the note.

  • Name
    note_template
    Type
    string
    Description

    Template this note is based on.

  • Name
    note_template_version
    Type
    string
    Description

    Template version this note is based on.

  • Name
    psychotherapy_note
    Type
    boolean
    Description

    Whether this note is a psychotherapy note.

  • Name
    appointment_required
    Type
    boolean
    Description

    Whether an appointment is required for this note.

  • Name
    patient
    Type
    string
    Description

    Patient this note is for.

  • Name
    score
    Type
    number
    Description

    Score of the note.

  • Name
    appointment
    Type
    string
    Description

    Appointment this note is associated with.

  • Name
    appointment_occurrence
    Type
    string
    Description

    Appointment occurrence this note is associated with. This optional attribute only applies to recurring appointments.

  • Name
    insurance_claim
    Type
    string
    Description

    Insurance claim this note is associated with.

  • Name
    superbill
    Type
    string
    Description

    Superbill this note is associated with.

  • Name
    invoice
    Type
    string
    Description

    Invoice this note is associated with.

  • Name
    name
    Type
    string
    Description

    Name of the note.

  • Name
    share_with_patient
    Type
    boolean
    Description

    Whether this note should be shared with the patient.

  • Name
    sections
    Type
    array of objects
    Description

    List of sections in the note, each holding its answered questions.

  • Name
    orders
    Type
    array of strings
    Description

    List of orders associated with the note.

  • Name
    comments
    Type
    array of objects
    Description

    List of comments added to the note.

  • Name
    addendums
    Type
    array of objects
    Description

    List of addendums appended to the note after the note has been signed and locked.

  • Name
    reviews
    Type
    array of objects
    Description
    Review history of the note.
  • Name
    signers
    Type
    array of objects
    Description
    Signing history of the note.
  • Name
    is_entered_in_error
    Type
    boolean
    Description

    Whether this note is marked as entered in error.

  • Name
    entered_in_error
    Type
    object
    Description

    Audit record for a note marked as entered in error.

  • Name
    group_note_patients
    Type
    array of objects
    Description

    Patients included in a group note.

  • Name
    individual_note_sections
    Type
    array of objects
    Description

    Per-patient sections within a group note.

  • Name
    external_id
    Type
    string
    Description

    A client-specified unique ID to associate with this note.

  • Name
    created_by
    Type
    string
    Description

    Creator of the note.

  • Name
    created_at
    Type
    number
    Description

    Timestamp (in ISO 8601 format) of when the note was created.

  • Name
    last_updated_at
    Type
    number
    Description

    Timestamp (in ISO 8601 format) of when the note was last updated.

Response

{
    "id": "note_2UxtAULYUrX7GVsTKePy",
    "object": "note",

    "type": "template",
    "note_template": "dtmp_NOIYLBGOBNhSwTWCUzfu",
    "note_template_version": "dtmv_1JtjV1QEY84Fv395Hl7h",

    "patient": "user_Z1zXZKvqrpwxbznuW6lJ",
    "sections": ["dsec_2UxtAULYUrX7GVsTKePy"],
    "score": 8,

    "appointment": "appt_TKePyL2UxtAYUUrX7GVs",
    "appointment_occurrence": "occr_ghig78hnKvqrpwxbznuW6lJ",
    "insurance_claim": "icl_ULYUr2UxtAX7GVsTKePy",
    "name": "Group Meeting Notes — 9/18/22",
    "share_with_patient": false,

    "sections": [{
          "id": "nsec_U8xtAULYUrX7GVsTKePy",
          "object": "note_section",
          "name": "Section 1",
         "logic": [{
            "field": "nqst_3951JtjV1QEY84FvHl7h",
            "condition": "equal_to",
            "value": "Yes"
          }],
          "answers": [
            {
              "id": "nans_U8xtAULYUrX7GVsTKePy",
              "object": "note_answer",
              "note": "note_841JtjV1QEYFv395Hl7h",
              "question": "nqst_1JtjV1QEY84Fv395Hl7h",
              "patient": "user_3951JtjV1QEY84FvHl7h",
              "type": "short_answer",
              "name": "What's your first name?",
              "response": "Sally Chen"
            }
          ],
    }],

    "comments": [{
        "id": "cmmt_op0jVVAdR23DgkQPpdX8",
        "object": "comment",
        "note": "note_2UxtAULYUrX7GVsTKePy",
        "comment": "This is a comment.",
        "created_by": "user_xeDpGyt67wTor93qKtS7",
        "created_at": "2024-04-03T04:12:01.781Z"
    }],
    "addendums": [{
        "id": "addm_pdX8op0jVVAdR23DgkQP",
        "object": "addendum",
        "note": "note_2UxtAULYUrX7GVsTKePy",
        "addendum": "This is an addendum.",
        "committed_to_record": true,
        "created_by": "user_xeDpGyt67wTor93qKtS7",
        "created_at": "2024-04-03T04:12:01.781Z"
    }],

    "reviews": [],
    "signers": [{
        "status": "signed_by_provider",
        "signed_by": "user_xeDpGyt67wTor93qKtS7",
        "signed_at": "2024-04-03T04:12:01.781Z"
    }],

    "external_id": "tS7xeDpGytFHKJK01ksjnfwwro",

    "created_by": "user_xeDpGyt67wTor93qKtS7",
    "created_at": "2024-04-03T04:12:01.781Z",
    "last_updated_at": "2024-04-03T04:12:01.781Z"
}


POST/v2/notes

Create a note

Creates a new visit note.

Required attributes

  • Name
    patient
    Type
    string
    Description

    Patient this note is for.

  • Name
    note_template
    Type
    string
    Description

    Note template this note is based on.

Optional attributes

  • Name
    appointment
    Type
    string
    Description

    Appointment this note is associated with.

  • Name
    appointment_occurrence
    Type
    string
    Description

    Appointment occurrence this note is associated with. This optional attribute only applies to recurring appointments.

  • Name
    insurance_claim
    Type
    string
    Description

    Insurance claim this note is associated with.

  • Name
    name
    Type
    string
    Description

    Name of the note.

  • Name
    share_with_patient
    Type
    boolean
    Description

    Whether this note should be shared with the patient.

  • Name
    answers
    Type
    array of objects
    Description

    Answers to set on the note when it is created.

  • Name
    review
    Type
    object
    Description
    Review of note.
  • Name
    signer
    Type
    string
    Description

    Signer of note.

  • Name
    external_id
    Type
    string
    Description

    A client-specified unique ID to associate with this note.

Request

POST
/v2/notes
curl -X POST "https://{{base_subdomain}}.avonhealth.com/v2/notes" \
  -H "Authorization: Bearer {{token}}" \
  -H "x-jwt: {{jwt}}" \
  -H "Content-Type: application/json" \
  --data '{
    "patient": "user_Z1zXZKvqrpwxbznuW6lJ",
    "note_template": "ntmp_NOIYLBGOBNhSwTWCUzfu",
    "answers": [
      {
        "question": "nqst_1JtjV1QEY84Fv395Hl7h",
        "response": "Sally Chen"
      }
    ]
  }'

Response


{
"id": "note_2UxtAULYUrX7GVsTKePy",
"object": "note",

        "type": "template",
        "note_template": "dtmp_NOIYLBGOBNhSwTWCUzfu",
        "note_template_version": "dtmv_1JtjV1QEY84Fv395Hl7h",

        "patient": "user_Z1zXZKvqrpwxbznuW6lJ",
        "sections": ["dsec_2UxtAULYUrX7GVsTKePy"],
        "score": 8,

        "appointment": "appt_TKePyL2UxtAYUUrX7GVs",
        "appointment_occurrence": "occr_ghig78hnKvqrpwxbznuW6lJ",
        "insurance_claim": "icl_ULYUr2UxtAX7GVsTKePy",
        "name": "Group Meeting Notes — 9/18/22",
        "share_with_patient": false,

        "sections": [{
              "id": "nsec_U8xtAULYUrX7GVsTKePy",
              "object": "note_section",
              "name": "Section 1",
             "logic": [{
                "field": "nqst_3951JtjV1QEY84FvHl7h",
                "condition": "equal_to",
                "value": "Yes"
              }],
              "answers": [
                {
                  "id": "nans_U8xtAULYUrX7GVsTKePy",
                  "object": "note_answer",
                  "note": "note_841JtjV1QEYFv395Hl7h",
                  "question": "nqst_1JtjV1QEY84Fv395Hl7h",
                  "patient": "user_3951JtjV1QEY84FvHl7h",
                  "type": "short_answer",
                  "name": "What's your first name?",
                  "response": "Sally Chen"
                }
              ],
        }],

        "comments": [{
            "id": "cmmt_op0jVVAdR23DgkQPpdX8",
            "object": "comment",
            "note": "note_2UxtAULYUrX7GVsTKePy",
            "comment": "This is a comment.",
            "created_by": "user_xeDpGyt67wTor93qKtS7",
            "created_at": "2024-04-03T04:12:01.781Z"
        }],
        "addendums": [{
            "id": "addm_pdX8op0jVVAdR23DgkQP",
            "object": "addendum",
            "note": "note_2UxtAULYUrX7GVsTKePy",
            "addendum": "This is an addendum.",
            "committed_to_record": true,
            "created_by": "user_xeDpGyt67wTor93qKtS7",
            "created_at": "2024-04-03T04:12:01.781Z"
        }],

        "reviews": [],
        "signers": [{
            "status": "signed_by_provider",
            "signed_by": "user_xeDpGyt67wTor93qKtS7",
            "signed_at": "2024-04-03T04:12:01.781Z"
        }],

        "external_id": "tS7xeDpGytFHKJK01ksjnfwwro",

        "created_by": "user_xeDpGyt67wTor93qKtS7",
        "created_at": "2024-04-03T04:12:01.781Z",
        "last_updated_at": "2024-04-03T04:12:01.781Z"
    }

GET/v2/notes/:id

Retrieve a note

Retrieves the specified note.

Request

GET
/v2/notes/:id
curl "https://{{base_subdomain}}.avonhealth.com/v2/notes/:id" \
  -H "Authorization: Bearer {{token}}" \
  -H "x-jwt: {{jwt}}"

Response

    {
        "id": "note_2UxtAULYUrX7GVsTKePy",
        "object": "note",

        "type": "template",
        "note_template": "dtmp_NOIYLBGOBNhSwTWCUzfu",
        "note_template_version": "dtmv_1JtjV1QEY84Fv395Hl7h",

        "patient": "user_Z1zXZKvqrpwxbznuW6lJ",
        "sections": ["dsec_2UxtAULYUrX7GVsTKePy"],
        "score": 8,

        "appointment": "appt_TKePyL2UxtAYUUrX7GVs",
        "appointment_occurrence": "occr_ghig78hnKvqrpwxbznuW6lJ",
        "insurance_claim": "icl_ULYUr2UxtAX7GVsTKePy",
        "name": "Group Meeting Notes — 9/18/22",
        "share_with_patient": false,

        "sections": [{
              "id": "nsec_U8xtAULYUrX7GVsTKePy",
              "object": "note_section",
              "name": "Section 1",
             "logic": [{
                "field": "nqst_3951JtjV1QEY84FvHl7h",
                "condition": "equal_to",
                "value": "Yes"
              }],
              "answers": [
                {
                  "id": "nans_U8xtAULYUrX7GVsTKePy",
                  "object": "note_answer",
                  "note": "note_841JtjV1QEYFv395Hl7h",
                  "question": "nqst_1JtjV1QEY84Fv395Hl7h",
                  "patient": "user_3951JtjV1QEY84FvHl7h",
                  "type": "short_answer",
                  "name": "What's your first name?",
                  "response": "Sally Chen"
                }
              ],
        }],

        "comments": [{
            "id": "cmmt_op0jVVAdR23DgkQPpdX8",
            "object": "comment",
            "note": "note_2UxtAULYUrX7GVsTKePy",
            "comment": "This is a comment.",
            "created_by": "user_xeDpGyt67wTor93qKtS7",
            "created_at": "2024-04-03T04:12:01.781Z"
        }],
        "addendums": [{
            "id": "addm_pdX8op0jVVAdR23DgkQP",
            "object": "addendum",
            "note": "note_2UxtAULYUrX7GVsTKePy",
            "addendum": "This is an addendum.",
            "committed_to_record": true,
            "created_by": "user_xeDpGyt67wTor93qKtS7",
            "created_at": "2024-04-03T04:12:01.781Z"
        }],

        "reviews": [],
        "signers": [{
            "status": "signed_by_provider",
            "signed_by": "user_xeDpGyt67wTor93qKtS7",
            "signed_at": "2024-04-03T04:12:01.781Z"
        }],

        "external_id": "tS7xeDpGytFHKJK01ksjnfwwro",

        "created_by": "user_xeDpGyt67wTor93qKtS7",
        "created_at": "2024-04-03T04:12:01.781Z",
        "last_updated_at": "2024-04-03T04:12:01.781Z"
    }

GET/v2/notes/:id/pdf

Retrieve a note in PDF format

Returns a signed URL to the PDF version of the note, which expires within 30 minutes.

Request

GET
/v2/notes/:id/pdf
curl "https://{{base_subdomain}}.avonhealth.com/v2/notes/:id/pdf" \
  -H "Authorization: Bearer {{token}}" \
  -H "x-jwt: {{jwt}}"

Response

    {
        "id": "note_2UxtAULYUrX7GVsTKePy",
        "object": "note",
        "url": "https://....",
        "expires_at": "2024-04-03T04:12:01.781Z"
    }

POST/v2/notes/:id

Update a note

Update the specified note object by setting the values of the parameters passed. Any other parameters not provided will not be modified.

Required attributes

    Optional attributes

    • Name
      appointment
      Type
      string
      Description

      Appointment this note is associated with.

    • Name
      appointment_occurrence
      Type
      string
      Description

      Appointment occurrence this note is associated with. This optional attribute only applies to recurring appointments.

    • Name
      insurance_claim
      Type
      string
      Description

      Insurance claim this note is associated with.

    • Name
      name
      Type
      string
      Description

      Name of the note.

    • Name
      share_with_patient
      Type
      boolean
      Description

      Whether this note should be shared with the patient.

    • Name
      review
      Type
      object
      Description
      Review of note.
    • Name
      signer
      Type
      string
      Description

      Signer of note.

    • Name
      external_id
      Type
      string
      Description

      A client-specified unique ID to associate with this note.

    Request

    POST
    /v2/notes/:id
    curl -X POST "https://{{base_subdomain}}.avonhealth.com/v2/notes/:id" \
      -H "Authorization: Bearer {{token}}" \
      -H "x-jwt: {{jwt}}" \
      -H "Content-Type: application/json" \
      --data '{}'
    

    Response

    
    {
    "id": "note_2UxtAULYUrX7GVsTKePy",
    "object": "note",
    
            "type": "template",
            "note_template": "dtmp_NOIYLBGOBNhSwTWCUzfu",
            "note_template_version": "dtmv_1JtjV1QEY84Fv395Hl7h",
    
            "patient": "user_Z1zXZKvqrpwxbznuW6lJ",
            "sections": ["dsec_2UxtAULYUrX7GVsTKePy"],
            "score": 8,
    
            "appointment": "appt_TKePyL2UxtAYUUrX7GVs",
            "appointment_occurrence": "occr_ghig78hnKvqrpwxbznuW6lJ",
            "insurance_claim": "icl_ULYUr2UxtAX7GVsTKePy",
            "name": "Group Meeting Notes — 9/18/22",
            "share_with_patient": false,
    
            "sections": [{
                  "id": "nsec_U8xtAULYUrX7GVsTKePy",
                  "object": "note_section",
                  "name": "Section 1",
                 "logic": [{
                    "field": "nqst_3951JtjV1QEY84FvHl7h",
                    "condition": "equal_to",
                    "value": "Yes"
                  }],
                  "answers": [
                    {
                      "id": "nans_U8xtAULYUrX7GVsTKePy",
                      "object": "note_answer",
                      "note": "note_841JtjV1QEYFv395Hl7h",
                      "question": "nqst_1JtjV1QEY84Fv395Hl7h",
                      "patient": "user_3951JtjV1QEY84FvHl7h",
                      "type": "short_answer",
                      "name": "What's your first name?",
                      "response": "Sally Chen"
                    }
                  ],
            }],
    
            "comments": [{
                "id": "cmmt_op0jVVAdR23DgkQPpdX8",
                "object": "comment",
                "note": "note_2UxtAULYUrX7GVsTKePy",
                "comment": "This is a comment.",
                "created_by": "user_xeDpGyt67wTor93qKtS7",
                "created_at": "2024-04-10T13:20:21.724Z",
            }],
            "addendums": [{
                "id": "addm_pdX8op0jVVAdR23DgkQP",
                "object": "addendum",
                "note": "note_2UxtAULYUrX7GVsTKePy",
                "addendum": "This is an addendum.",
                "committed_to_record": true,
                "created_by": "user_xeDpGyt67wTor93qKtS7",
                "created_at": "2024-04-10T13:20:21.724Z",
            }],
    
            "reviews": [],
            "signers": [{
                "status": "signed_by_provider",
                "signed_by": "user_xeDpGyt67wTor93qKtS7",
                "signed_at": "2024-04-10T13:20:21.724Z"
            }],
    
            "external_id": "tS7xeDpGytFHKJK01ksjnfwwro",
    
            "created_by": "user_xeDpGyt67wTor93qKtS7",
            "created_at": "2024-04-03T04:12:01.781Z",
            "last_updated_at": "2024-04-03T04:12:01.781Z"
        }
    

    POST/v2/notes/:id/sections/:section/answers/:answer

    Update a note answer

    Updates a note answer.

    Request

    POST
    /v2/notes/:id/sections/:section/answers/:answer
    curl -X POST "https://{{base_subdomain}}.avonhealth.com/v2/notes/:id/sections/:section/answers/:answer" \
      -H "Authorization: Bearer {{token}}" \
      -H "x-jwt: {{jwt}}" \
      -H "Content-Type: application/json" \
      --data '{}'
    

    Response

        {
            "id": "note_2UxtAULYUrX7GVsTKePy",
            "object": "note",
    
            "type": "template",
            "note_template": "dtmp_NOIYLBGOBNhSwTWCUzfu",
            "note_template_version": "dtmv_1JtjV1QEY84Fv395Hl7h",
    
            "patient": "user_Z1zXZKvqrpwxbznuW6lJ",
            "sections": ["dsec_2UxtAULYUrX7GVsTKePy"],
            "score": 8,
    
            "appointment": "appt_TKePyL2UxtAYUUrX7GVs",
            "appointment_occurrence": "occr_ghig78hnKvqrpwxbznuW6lJ",
            "insurance_claim": "icl_ULYUr2UxtAX7GVsTKePy",
            "name": "Group Meeting Notes — 9/18/22",
            "share_with_patient": false,
    
            "sections": [{
                  "id": "nsec_U8xtAULYUrX7GVsTKePy",
                  "object": "note_section",
                  "name": "Section 1",
                 "logic": [{
                    "field": "nqst_3951JtjV1QEY84FvHl7h",
                    "condition": "equal_to",
                    "value": "Yes"
                  }],
                  "answers": [
                    {
                      "id": "nans_U8xtAULYUrX7GVsTKePy",
                      "object": "note_answer",
                      "note": "note_841JtjV1QEYFv395Hl7h",
                      "question": "nqst_1JtjV1QEY84Fv395Hl7h",
                      "patient": "user_3951JtjV1QEY84FvHl7h",
                      "type": "short_answer",
                      "name": "What's your first name?",
                      "response": "Sally Chen"
                    }
                  ],
            }],
    
            "comments": [{
                "id": "cmmt_op0jVVAdR23DgkQPpdX8",
                "object": "comment",
                "note": "note_2UxtAULYUrX7GVsTKePy",
                "comment": "This is a comment.",
                "created_by": "user_xeDpGyt67wTor93qKtS7",
                "created_at": "2024-04-03T04:12:01.781Z"
            }],
            "addendums": [{
                "id": "addm_pdX8op0jVVAdR23DgkQP",
                "object": "addendum",
                "note": "note_2UxtAULYUrX7GVsTKePy",
                "addendum": "This is an addendum.",
                "committed_to_record": true,
                "created_by": "user_xeDpGyt67wTor93qKtS7",
                "created_at": "2024-04-03T04:12:01.781Z"
            }],
    
            "reviews": [],
            "signers": [{
                "status": "signed_by_provider",
                "signed_by": "user_xeDpGyt67wTor93qKtS7",
                "signed_at": "2024-04-03T04:12:01.781Z"
            }],
    
            "external_id": "tS7xeDpGytFHKJK01ksjnfwwro",
    
            "created_by": "user_xeDpGyt67wTor93qKtS7",
            "created_at": "2024-04-03T04:12:01.781Z",
            "last_updated_at": "2024-04-03T04:12:01.781Z"
        }
    

    POST/v2/notes/:id/sign

    Sign a note

    Signs a note. The user whose jwt is passed in the header is set as the signer.

    Request

    POST
    /v2/notes/:id/sign
    curl -X POST "https://{{base_subdomain}}.avonhealth.com/v2/notes/:id/sign" \
      -H "Authorization: Bearer {{token}}" \
      -H "x-jwt: {{jwt}}" \
      -H "Content-Type: application/json" \
      --data '{}'
    

    Response

        {
            "id": "note_2UxtAULYUrX7GVsTKePy",
            "object": "note",
    
            "type": "template",
            "note_template": "dtmp_NOIYLBGOBNhSwTWCUzfu",
            "note_template_version": "dtmv_1JtjV1QEY84Fv395Hl7h",
    
            "patient": "user_Z1zXZKvqrpwxbznuW6lJ",
            "sections": ["dsec_2UxtAULYUrX7GVsTKePy"],
            "score": 8,
    
            "appointment": "appt_TKePyL2UxtAYUUrX7GVs",
            "appointment_occurrence": "occr_ghig78hnKvqrpwxbznuW6lJ",
            "insurance_claim": "icl_ULYUr2UxtAX7GVsTKePy",
            "name": "Group Meeting Notes — 9/18/22",
            "share_with_patient": false,
    
            "sections": [{
                  "id": "nsec_U8xtAULYUrX7GVsTKePy",
                  "object": "note_section",
                  "name": "Section 1",
                 "logic": [{
                    "field": "nqst_3951JtjV1QEY84FvHl7h",
                    "condition": "equal_to",
                    "value": "Yes"
                  }],
                  "answers": [
                    {
                      "id": "nans_U8xtAULYUrX7GVsTKePy",
                      "object": "note_answer",
                      "note": "note_841JtjV1QEYFv395Hl7h",
                      "question": "nqst_1JtjV1QEY84Fv395Hl7h",
                      "patient": "user_3951JtjV1QEY84FvHl7h",
                      "type": "short_answer",
                      "name": "What's your first name?",
                      "response": "Sally Chen"
                    }
                  ],
            }],
    
            "comments": [{
                "id": "cmmt_op0jVVAdR23DgkQPpdX8",
                "object": "comment",
                "note": "note_2UxtAULYUrX7GVsTKePy",
                "comment": "This is a comment.",
                "created_by": "user_xeDpGyt67wTor93qKtS7",
                "created_at": "2024-04-03T04:12:01.781Z"
            }],
            "addendums": [{
                "id": "addm_pdX8op0jVVAdR23DgkQP",
                "object": "addendum",
                "note": "note_2UxtAULYUrX7GVsTKePy",
                "addendum": "This is an addendum.",
                "committed_to_record": true,
                "created_by": "user_xeDpGyt67wTor93qKtS7",
                "created_at": "2024-04-03T04:12:01.781Z"
            }],
    
            "reviews": [],
            "signers": [{
                "status": "signed_by_provider",
                "signed_by": "user_xeDpGyt67wTor93qKtS7",
                "signed_at": "2024-04-03T04:12:01.781Z"
            }],
    
            "external_id": "tS7xeDpGytFHKJK01ksjnfwwro",
    
            "created_by": "user_xeDpGyt67wTor93qKtS7",
            "created_at": "2024-04-03T04:12:01.781Z",
            "last_updated_at": "2024-04-03T04:12:01.781Z"
        }
    

    GET/v2/notes

    List all notes

    Returns a list of all notes. The full base64 encoded file may not be returned in the list.

    Optional query parameters

    • Name
      patient
      Type
      string
      Description

      Patient to filter by.

    • Name
      note_template
      Type
      string
      Description

      Note template to filter by.

    • Name
      note_template_version
      Type
      string
      Description

      Note template version to filter by.

    • Name
      appointment
      Type
      string
      Description

      Appointment to filter by.

    • Name
      insurance_claim
      Type
      string
      Description

      Insurance claim to filter by.

    • Name
      search_from
      Type
      date-time
      Description

      Timestamp in ISO 8601 format. Only return notes that are created after this time.

    • Name
      search_until
      Type
      date-time
      Description

      Timestamp in ISO 8601 format. Only return notes that are created before this time.

    Request

    GET
    /v2/notes
    curl "https://{{base_subdomain}}.avonhealth.com/v2/notes?patient=user_Z1zXZKvqrpwxbznuW6lJ&note_template=Example" \
      -H "Authorization: Bearer {{token}}" \
      -H "x-jwt: {{jwt}}"
    

    Response

        {
          "object": "list",
          "data": [
           {
              "id": "note_2UxtAULYUrX7GVsTKePy",
              "object": "note",
    
              "type": "template",
              "note_template": "dtmp_NOIYLBGOBNhSwTWCUzfu",
              "note_template_version": "dtmv_1JtjV1QEY84Fv395Hl7h",
    
              "patient": "user_Z1zXZKvqrpwxbznuW6lJ",
              "sections": ["dsec_2UxtAULYUrX7GVsTKePy"],
              "score": 8,
    
              "appointment": "appt_TKePyL2UxtAYUUrX7GVs",
              "appointment_occurrence": "occr_ghig78hnKvqrpwxbznuW6lJ",
              "insurance_claim": "icl_ULYUr2UxtAX7GVsTKePy",
              "name": "Group Meeting Notes — 9/18/22",
              "share_with_patient": false,
    
              "sections": [{
                "id": "nsec_U8xtAULYUrX7GVsTKePy",
                "object": "note_section",
                "name": "Section 1",
               "logic": [{
                  "field": "nqst_3951JtjV1QEY84FvHl7h",
                  "condition": "equal_to",
                  "value": "Yes"
                }],
                "answers": [
                  {
                    "id": "nans_U8xtAULYUrX7GVsTKePy",
                    "object": "note_answer",
                    "note": "note_841JtjV1QEYFv395Hl7h",
                    "question": "nqst_1JtjV1QEY84Fv395Hl7h",
                    "patient": "user_3951JtjV1QEY84FvHl7h",
                    "type": "short_answer",
                    "name": "What's your first name?",
                    "response": "Sally Chen"
                  }
                ],
              }],
    
              "comments": [{
                  "id": "cmmt_op0jVVAdR23DgkQPpdX8",
                  "object": "comment",
                  "note": "note_2UxtAULYUrX7GVsTKePy",
                  "comment": "This is a comment.",
                  "created_by": "user_xeDpGyt67wTor93qKtS7",
                  "created_at": "2024-04-03T04:12:01.781Z"
              }],
              "addendums": [{
                  "id": "addm_pdX8op0jVVAdR23DgkQP",
                  "object": "addendum",
                  "note": "note_2UxtAULYUrX7GVsTKePy",
                  "addendum": "This is an addendum.",
                  "committed_to_record": true,
                  "created_by": "user_xeDpGyt67wTor93qKtS7",
                  "created_at": "2024-04-03T04:12:01.781Z"
              }],
    
              "reviews": [],
              "signers": [{
                  "status": "signed_by_provider",
                  "signed_by": "user_xeDpGyt67wTor93qKtS7",
                  "signed_at": "2024-04-03T04:12:01.781Z"
              }],
    
              "external_id": "tS7xeDpGytFHKJK01ksjnfwwro",
    
              "created_by": "user_xeDpGyt67wTor93qKtS7",
              "created_at": "2024-04-03T04:12:01.781Z",
              "last_updated_at": "2024-04-03T04:12:01.781Z"
          }]
        }